.card {
  margin-bottom: 0.5rem;
}

.card-header, button {
  background: var(--bg);
  color: var(--primary);
  border: 1px solid var(--primary);
  padding: 12px;
  cursor: pointer;
  font-weight: bold;
  transition: all 0.25s;
}

.card-header:hover, .card-header:has(+ .active), button:hover {
  background: var(--primary);
  color: white;
}

.card-content {
  padding: 1rem;
  display: none;
  border: 1px solid var(--primary);
}

.card-content.active {
  display: block;
}

input,
select,
button {
  font-size: 0.9rem;
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
}

label {
  font-size: 0.9rem;
  color: #444;
}

button {
  border: 1px solid var(--primary);
}

#status {
  padding: 12px;
  font-weight: bold;
  background: var(--accent1);
  color: white;
  cursor: not-allowed;
  margin-bottom: 0.5rem;
  text-align: center;
}

#messages {
  background: #111;
  color: #0f0;
  padding: 8px;
  height: 16rem;
  overflow-y: auto;
  font-family: monospace;
  font-size: 14px;
  white-space: pre-wrap;
  margin-bottom: 1rem;
}
